dbdevice()
{
  #-----------------------------------------------------------
  # For Sybase and MS_SQL 6.x only, assigns DB device 
  # Allows user to do one of the following:
  # 1) create a new db device (with user defined parameters)
  # 2) use existing db device
  #-----------------------------------------------------------
  if [ "$VENDOR" = "Sybase" -o "$VENDOR" = "MS_SQL" ]; then
    if [ "$VENDOR" = "MS_SQL" ]; then
       echo "Please enter your version of $VENDOR: either '6' or '7'"
       echo
       read answer
       if [ "$answer" = '6' ]; then 
         updateNrunScript
	   elif [ "$answer" != '7' ]; then
	     echo "Error: response not recongized. please enter either 6 or 7"
         dbdevice
       fi
    else 
      updateNrunScript   
    fi
  fi
}

updateNrunScript()
{
  sed -e "s,_pq_vendor,$VENDOR,g" \
      -e "s,_pq_sqlext,$SQLEXT,g" \
	   -e "s,_pq_appname,$APPNAME,g" \
	   -e "s,_pq_server,$DBSERVER,g" \
	    ./tmd_dbdevice.oo > ./tmd_dbdevice.sh
  . ./tmd_dbdevice.sh
}

dbdevice
